:root {
  --background-dark: #050707 url('/assets/images/bg_dark.webp') 0 0 / 90px 90px repeat;
}

html {
  background: #252525;
  font-size: 62.5%;
}

body {
  padding: 0;
  margin: 0;
  color: white;
}

body, button {
  font-family: "Open Sans", sans-serif;
  -webkit-font-smoothing: antialiased;
  font-size: 2.2rem;
}
@media (max-width: 1200px) {
  body, button {
    font-size: 2rem;
  }
}
@media (max-width: 1000px) {
  body, button {
    font-size: 1.8rem;
  }
}
@media (max-width: 800px) {
  body, button {
    font-size: 1.6rem;
  }
}

a {
  color: #095c80;
  text-decoration: underline;
}

div.inner {
  margin: 0 auto;
  max-width: 1300px;
  padding: 0 20px;
}

div.section {
  padding: 75px 0;
}
div.section header h2 {
  margin: 0;
  font-size: 1.5em;
  font-weight: 700;
  text-transform: uppercase;
  color: var(--section-header-color, inherit);
}

#header {
  position: sticky;
  top: 0;
  z-index: 100;
  background: white;
  color: #000000;
  border-bottom: 1px solid black;
}
#header div.header-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#header div.menu a {
  text-decoration: none;
  text-transform: uppercase;
  color: #000000;
}
@media (hover: hover) {
  #header div.menu a {
    transition: color linear 150ms;
  }
  #header div.menu a:hover {
    color: #222222;
  }
}
@media (max-width: 999px) {
  #header div.title {
    padding: 1.1em 0;
    display: flex;
    align-items: center;
    gap: 1em;
  }
  #header div.title img {
    display: block;
    width: clamp(60px, 15vw, 90px);
    height: auto;
  }
  #header div.title p {
    margin: 0;
    font-size: 1em;
    font-weight: bold;
    text-wrap: balance;
    line-height: 1;
  }
  #header button.menu {
    width: 40px;
    height: 40px;
    padding: 5px;
    border: 0;
    cursor: pointer;
    background: none;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
  }
  #header button.menu span {
    height: 2px;
    background: #000000;
  }
  #header div.menu {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.75);
    backdrop-filter: blur(8px);
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    font-weight: bold;
  }
  #header div.menu button.menu-close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    border: 0;
    cursor: pointer;
    background: url("/assets/images/menu_close.svg") no-repeat center center;
  }
}
@media (min-width: 1000px) {
  #header {
    padding: 0.8em 0;
  }
  #header div.title {
    display: flex;
    align-items: center;
    gap: 2em;
  }
  #header div.title img {
    display: block;
    width: 90px;
    height: auto;
  }
  #header div.title p {
    margin: 0;
    font-size: 1.1em;
    font-weight: bold;
    text-wrap: balance;
    line-height: 1;
  }
  #header button.menu {
    display: none;
  }
  #header div.menu {
    display: flex;
    gap: 0.75em;
  }
  #header div.menu a {
    line-height: 1;
  }
  #header div.menu span.split {
    width: 1px;
    background: #000000;
    align-self: stretch;
  }
  #header div.menu button.menu-close {
    display: none;
  }
}

@media (max-width: 999px) {
  body.menu-open {
    overflow: hidden;
  }
  body:not(.menu-open) #header div.menu {
    display: none;
  }
}
details.dropdown {
  margin-top: 25px;
  background: var(--dropdown-background);
  border-radius: 20px;
  color: var(--dropdown-text-color);
}
details.dropdown summary {
  padding: 1em;
  background: var(--dropdown-header-background);
  font-size: 1.3em;
  font-weight: 700;
  border-radius: 20px;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  cursor: pointer;
}
details.dropdown summary:after {
  display: block;
  content: "";
  width: 0;
  height: 0;
  border-left: 1em solid transparent;
  border-right: 1em solid transparent;
  border-top: 0.95em solid var(--dropdown-text-color);
  transition: rotate 300ms ease-in-out;
}
details.dropdown summary::marker {
  display: none;
}
details.dropdown[open] summary {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}
details.dropdown[open] summary:after {
  rotate: 180deg;
}

div.dropdown-content {
  padding: 1.5em;
}
div.dropdown-content p:first-child, div.dropdown-content ul:first-child, div.dropdown-content ol:first-child, div.dropdown-content li:first-child, div.dropdown-content figure.general:first-child, div.dropdown-content img.general:first-child {
  margin-top: 0;
}
div.dropdown-content p:last-child, div.dropdown-content ul:last-child, div.dropdown-content ol:last-child, div.dropdown-content li:last-child, div.dropdown-content figure.general:last-child, div.dropdown-content img.general:last-child {
  margin-bottom: 0;
}
div.dropdown-content img.general {
  margin: 0.75em 0;
  width: auto;
  height: auto;
  max-width: 100%;
}
div.dropdown-content ul {
  margin: 0.75em 0;
}
div.dropdown-content li, div.dropdown-content ol {
  margin: 0.5em 0;
}
div.dropdown-content figure.caption {
  position: relative;
  margin: 0 auto;
  padding: 0;
}
div.dropdown-content figure.caption figcaption {
  position: absolute;
  bottom: 15px;
  left: 10px;
  background: #F05248;
  color: white;
  font-size: 0.7em;
  padding: 0.4em 0.8em;
  box-sizing: border-box;
  max-width: calc(100% - 0.8em);
}
div.dropdown-content figure.caption img {
  display: block;
  width: auto;
  height: auto;
  max-width: 100%;
}
div.dropdown-content figure.caption.caption-top figcaption {
  top: 15px;
  bottom: auto;
}
div.dropdown-content figure.general {
  margin: 0.75em 0;
}

#background, #technical {
  --dropdown-background: #333333;
  --dropdown-header-background: #000000;
  --dropdown-text-color: white;
}

#proposals, #feedback {
  --dropdown-background: #CCCCCC;
  --dropdown-header-background: #A4A5A5;
  --dropdown-text-color: black;
}

#background {
  background: white;
  --section-header-color: #000000;
  padding-top: 0;
}
#background div.site-photographs-1 a, #background div.site-photographs-2 a {
  position: relative;
}
#background div.site-photographs-1 span.number, #background div.site-photographs-2 span.number {
  background: white;
  color: black;
  border-radius: 100%;
  border: 1px solid black;
  width: 24px;
  height: 24px;
  box-sizing: border-box;
  font-weight: bold;
  font-size: 1.2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 5px;
  left: 5px;
}
#background div.site-photographs-1 div.group-1 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
}
@media (min-width: 900px) {
  #background div.site-photographs-1 div.group-1 {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
#background div.site-photographs-1 div.group-2 {
  margin-top: 1em;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
}
@media (min-width: 900px) {
  #background div.site-photographs-1 div.group-2 {
    grid-template-columns: 21fr 10fr 10fr;
  }
  #background div.site-photographs-1 div.group-2 img {
    height: 100%;
    object-fit: cover;
    object-position: center;
  }
}
#background div.site-photographs-2 {
  margin-top: 3em;
}
#background div.site-photographs-2 div.group-1 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
}
@media (min-width: 900px) {
  #background div.site-photographs-2 div.group-1 {
    grid-template-columns: 1fr 1fr 1fr;
  }
}
#background div.site-photographs-2 div.group-2 {
  margin-top: 1em;
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
}
@media (min-width: 900px) {
  #background div.site-photographs-2 div.group-2 {
    grid-template-columns: 8fr 8fr 9fr;
  }
}
#background div.emerging-development-images {
  margin-top: 30px;
  display: grid;
  grid-template-columns: 1fr;
  align-items: start;
  gap: 1em;
}
#background div.emerging-development-images div.group {
  display: grid;
  grid-template-columns: 1fr;
  gap: 1em;
}
@media (min-width: 900px) {
  #background div.emerging-development-images {
    grid-template-columns: 1550fr 920fr;
  }
  #background div.emerging-development-images div.group:nth-child(2) {
    gap: 0.5em;
  }
}

#feedback {
  background: var(--background-dark);
}
#feedback p {
  margin: 1.5em 0;
}
#feedback div.buttons {
  margin: 35px 0;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2em;
}
#feedback div.buttons a {
  width: 100%;
  padding: 0.875em 0.5em;
  display: block;
  background: #FFFFFF;
  color: black;
  text-align: center;
  text-decoration: none;
  font-weight: 700;
  font-size: 1.6em;
  border-radius: 4.6em;
  box-sizing: border-box;
}
@media (hover: hover) {
  #feedback div.buttons a {
    transition: background linear 150ms;
  }
  #feedback div.buttons a:hover {
    background: #EEEEEE;
  }
}
@media (max-width: 900px) {
  #feedback div.buttons {
    grid-template-columns: 1fr;
  }
}

#footer {
  padding: 2em 0;
}
#footer p.title {
  margin: 0;
  font-size: 1.5em;
  font-weight: 700;
}
#footer div.contact {
  margin: 2em 0;
}
#footer div.contact ul.details {
  margin: 0;
  padding: 0;
  list-style-type: none;
}
#footer div.contact ul.details li {
  margin: 0.5em 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
}
#footer div.contact ul.details li:before {
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
#footer div.contact ul.details li.email:before {
  background-image: url("/assets/images/email.svg");
}
#footer div.contact ul.details li.telephone:before {
  background-image: url("/assets/images/telephone.svg");
}
#footer div.contact ul.details a {
  text-decoration: none;
  color: white;
}
#footer div.contact div.links a {
  color: white;
  text-decoration: underline;
}
@media (max-width: 999px) {
  #footer div.contact div.links {
    margin-top: 2em;
  }
}
@media (min-width: 1000px) {
  #footer div.contact {
    display: flex;
    justify-content: space-between;
  }
}
#footer img.logo {
  margin-top: 2em;
  width: auto;
  height: auto;
  max-width: 60%;
}

#introduction {
  background: white;
  padding: 0 0 35px 0;
}
#introduction div.hero {
  margin-bottom: 35px;
}
#introduction div.hero figure {
  background: white;
  position: relative;
  margin: 0 auto;
  padding: 0;
  width: 100%;
  height: auto;
  max-width: 1600px;
}
#introduction div.hero figcaption {
  position: absolute;
  bottom: 15px;
  left: 10px;
  background: #F05248;
  color: white;
  font-size: 1.6em;
  padding: 0.4em 0.8em;
}
#introduction div.hero img {
  display: block;
  width: 100%;
  height: auto;
}
#introduction div.text {
  color: #27353B;
}
#introduction div.text p:first-child, #introduction div.text ul:first-child, #introduction div.text ol:first-child, #introduction div.text li:first-child {
  margin-top: 0;
}
#introduction div.text p:last-child, #introduction div.text ul:last-child, #introduction div.text ol:last-child, #introduction div.text li:last-child {
  margin-bottom: 0;
}
#introduction div.text ul {
  margin: 0.75em 0;
}
#introduction div.text li, #introduction div.text ol {
  margin: 0.5em 0;
}

#proposals {
  background: var(--background-dark);
  --section-header-color: #FFFFFF;
}
#proposals div.cgi-images {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1em;
}
@media (max-width: 799px) {
  #proposals div.cgi-images {
    grid-template-columns: 1fr;
  }
}
#proposals div.key-view-images {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1em;
}
@media (max-width: 799px) {
  #proposals div.key-view-images {
    grid-template-columns: 1fr;
  }
}
#proposals div.floor-plans p {
  margin: 0.25em 0;
}
#proposals div.floor-plans p:not(:first-child) {
  margin-top: 1.5em;
}

#technical {
  background: white;
  --section-header-color: #000000;
}